Skip to main content
Settings/User Management APIs

CreatePolicy

CreatePolicy

POST/zstack/v1/accounts/policies

Operation ID

CreatePolicy

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • statements
      ListRequired

      The policy statements.

    • resourceUuid
      String

      Optional. The resource UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PolicyInventoryRequired

    See inventory

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • accountUuid
      StringRequired

      The account UUID.

    • statements
      ListRequired

      See statements

      • name
        StringRequired

        The resource name.

      • principals
        ListRequired

        The policy principals.

      • actions
        ListRequired

        A list of strings that match the APIs.

      • resources
        ListRequired

        The resource list.

      • effect
        StatementEffectRequired

        See effect

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The sequence number.